Pull to refresh

Критическая уязвимость в Xfce, способная привести к выходу из строя монитора, до сих пор не исправлена

The future is here

Xfce — легковесное окружение рабочего стола для Linux и других Unix-like систем, любимое многими за стабильность и богатые возможности настройки. К сожалению, развитие проекта идёт довольно медленно, последняя мажорная версия (Xfce 4.12) вышла более двух лет назад, а многие баги живут годами.

Полтора года назад один из пользователей столкнулся с багом, который привёл к частичной потере работоспособности монитора. Естественно, он оставил багрепорт: «Экран загрузки по умолчанию привёл к повреждению моего монитора!»

image

Тогда баг не удалось воспроизвести, был предложен возможно закрывающий уязвимость патч, но его так и не протестировали из-за отсутствия у автора патча необходимого оборудования. Автор бага более не выходил на связь, что неудивительно и вполне естественно при повреждениях монитора.

Спустя полтора года один из пользователей Reddit подтвердил, что баг всё ещё не исправлен:

image

На данный момент можно дать несколько общих рекомендаций:

  1. Не воспринимайте громкие заголовки всерьёз;
  2. Погладьте кошку;
  3. Примените патч, но только в случае отсутствия у вас собаки, иначе возможны проблемы с совместимостью;
  4. Почитайте комментарии к багрепорту и посту на Reddit, оно того стоит;
    Если вы столкнулись с багом в открытом проекте, добавьте его в багзиллу;
    Поддержите открытый проект, которым вы пользуетесь — например, Xfce.
Tags:
Hubs:
Total votes 56: ↑41 and ↓15 +26
Views 30K
Comments Comments 23